### Method

# Aravis Stream push_buffer

since: 0.2.0

#### Declaration [src]

    void
    arv_stream_push_buffer (
      ArvStream* stream,
      ArvBuffer* buffer
    )

#### Description [src]

Pushes a `ArvBuffer` to the `stream` thread. The `stream` takes ownership of `buffer`, and will free all the buffers still in its queues when destroyed.

This method is thread safe.

Available since: 0.2.0

#### Parameters

`buffer`

  Type: `ArvBuffer`

  Buffer to push.

  The instance takes ownership of the data, and is responsible for freeing it.